Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029375
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2015-03-23 13:492015-03-27 14:08
ReporterjecharriView Statuspublic 
Assigned Tomario_castello 
PriorityimmediateResolutionfixedFixed in VersionRR15Q2
StatusclosedFix in branchFixed in SCM revision516b4064f50c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaaroncalero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029375: Business partner information is not updated in the model when you change the address

DescriptionBusiness partner information is not updated in the model when you change the address
Steps To Reproduce-Go to Web POS
-Choose one BP with 2 addresses
-Change the default address to other option
-Complete the ticket but set a breakpoint in line
 this._print(template, params, callback);

Check that when you get the postal code or cityName
params.order.get('bp').get('postalCode')
params.order.get('bp').get('cityName')

Still we have the information for default address.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0028933RR16Q1 closedRetail QA: RR15Q2: Add tests for Mobile applications 
related to defect 0029446RR16Q1 closedranjith_qualiantech_com If the default BPLoc of a store doesn't match the default Loc of the BP, the Location info in a ticket is corrupt 

-  Notes
(0075944)
hgbot (developer)
2015-03-24 19:45

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 516b4064f50c04b6bf38fcea3873d9dd7d37007f
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Tue Mar 24 12:44:46 2015 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/516b4064f50c04b6bf38fcea3873d9dd7d37007f [^]

fixed issue 29375: Business partner information is not updated in the model when you change the address

---
M web/org.openbravo.retail.posterminal/js/components/bplocation.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customeraddress/customeraddrdetailview.js
---
(0076088)
aaroncalero (developer)
2015-03-27 14:08

Tested and reviewed

- Issue History
Date Modified Username Field Change
2015-03-23 13:49 jecharri New Issue
2015-03-23 13:49 jecharri Assigned To => Retail
2015-03-23 13:49 jecharri Triggers an Emergency Pack => No
2015-03-24 10:59 malsasua Relationship added depends on 0028933
2015-03-24 17:31 mario_castello Status new => scheduled
2015-03-24 19:45 hgbot Checkin
2015-03-24 19:45 hgbot Note Added: 0075944
2015-03-24 19:45 hgbot Status scheduled => resolved
2015-03-24 19:45 hgbot Resolution open => fixed
2015-03-24 19:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/516b4064f50c04b6bf38fcea3873d9dd7d37007f [^]
2015-03-24 19:49 mario_castello Assigned To Retail => mario_castello
2015-03-27 14:06 aaroncalero Relationship added related to 0029446
2015-03-27 14:07 aaroncalero Review Assigned To => aaroncalero
2015-03-27 14:08 aaroncalero Note Added: 0076088
2015-03-27 14:08 aaroncalero Status resolved => closed
2015-03-27 14:08 aaroncalero Fixed in Version => RR15Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker